Package org.h2.test.store

# Class SequenceMap

java.lang.Object
java.util.AbstractMap<K,V>
org.h2.mvstore.MVMap<Long,Long>
org.h2.test.store.SequenceMap

All Implemented Interfaces:
  `ConcurrentMap<Long,Long>`, `Map<Long,Long>`

public class SequenceMap extends MVMap<Long,Long>
A custom map returning the keys and values 1 .. 10.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SequenceMap.Builder`
A builder for this class.

## Nested classes/interfaces inherited from class org.h2.mvstore.MVMap

`MVMap.BasicBuilder<M extends MVMap<K,V>,K,V>, MVMap.Decision, MVMap.DecisionMaker<V>, MVMap.MapBuilder<M extends MVMap<K,V>,K,V>`

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Field Summary

### Fields inherited from class org.h2.mvstore.MVMap

`store`

## Constructor Summary

Constructors
Constructor
Description
`SequenceMap(Map<String,Object> config, DataType<Long> keyType, DataType<Long> valueType)`

## Method Summary

Modifier and Type
Method
Description
`Set<Long>`
`keySet()`

### Methods inherited from class org.h2.mvstore.MVMap

`append, asString, beforeWrite, ceilingKey, clear, cloneIt, containsKey, createEmptyLeaf, createEmptyNode, cursor, cursor, cursor, entrySet, equals, firstKey, floorKey, flushAndGetRoot, get, get, getChildPageCount, getId, getKey, getKeyIndex, getKeyType, getName, getRoot, getRootPage, getStore, getType, getValueType, getVersion, hashCode, higherKey, higherKey, isClosed, isEmpty, isPersistent, isReadOnly, isVolatile, keyIterator, keyIteratorReverse, keyList, lastKey, lowerKey, lowerKey, openVersion, operate, put, putIfAbsent, registerUnsavedMemory, remove, remove, replace, replace, setVolatile, size, sizeAsLong, toString, trimLast, tryLock, unlockRoot, updateRoot`

### Methods inherited from class java.util.AbstractMap

`clone, containsValue, putAll, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.concurrent.ConcurrentMap

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, replaceAll`

### Methods inherited from interface java.util.Map

`containsValue, putAll, values`

## Constructor Details

### SequenceMap

public SequenceMap(Map<String,Object> config, DataType<Long> keyType, DataType<Long> valueType)

## Method Details

### keySet

public Set<Long> keySet()

Specified by:
  `keySet` in interface `Map<Long,Long>`
Overrides:
  `keySet` in class `MVMap<Long,Long>`